Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.16.104.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
172.16.104.0
Broadcast address
172.16.111.255
First usable
172.16.104.1
Last usable
172.16.111.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet
Old class
B (default /16)
As numbers
Hex AC106800 · Integer 2886756352 to 2886758399
Reverse DNS zones
104.16.172.in-addr.arpa
105.16.172.in-addr.arpa
106.16.172.in-addr.arpa
107.16.172.in-addr.arpa
108.16.172.in-addr.arpa
109.16.172.in-addr.arpa
110.16.172.in-addr.arpa
111.16.172.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00010000.01101000.00000000172.16.104.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network10101100.00010000.01101000.00000000172.16.104.0
Broadcast10101100.00010000.01101111.11111111172.16.111.255
Split into smaller subnets/28

172.16.104.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.16.104.0/28172.16.104.1 to 172.16.104.14172.16.104.1514
2172.16.104.16/28172.16.104.17 to 172.16.104.30172.16.104.3114
3172.16.104.32/28172.16.104.33 to 172.16.104.46172.16.104.4714
4172.16.104.48/28172.16.104.49 to 172.16.104.62172.16.104.6314
5172.16.104.64/28172.16.104.65 to 172.16.104.78172.16.104.7914
6172.16.104.80/28172.16.104.81 to 172.16.104.94172.16.104.9514
7172.16.104.96/28172.16.104.97 to 172.16.104.110172.16.104.11114
8172.16.104.112/28172.16.104.113 to 172.16.104.126172.16.104.12714
9172.16.104.128/28172.16.104.129 to 172.16.104.142172.16.104.14314
10172.16.104.144/28172.16.104.145 to 172.16.104.158172.16.104.15914
11172.16.104.160/28172.16.104.161 to 172.16.104.174172.16.104.17514
12172.16.104.176/28172.16.104.177 to 172.16.104.190172.16.104.19114
13172.16.104.192/28172.16.104.193 to 172.16.104.206172.16.104.20714
14172.16.104.208/28172.16.104.209 to 172.16.104.222172.16.104.22314
15172.16.104.224/28172.16.104.225 to 172.16.104.238172.16.104.23914
16172.16.104.240/28172.16.104.241 to 172.16.104.254172.16.104.25514
17172.16.105.0/28172.16.105.1 to 172.16.105.14172.16.105.1514
18172.16.105.16/28172.16.105.17 to 172.16.105.30172.16.105.3114
19172.16.105.32/28172.16.105.33 to 172.16.105.46172.16.105.4714
20172.16.105.48/28172.16.105.49 to 172.16.105.62172.16.105.6314
21172.16.105.64/28172.16.105.65 to 172.16.105.78172.16.105.7914
22172.16.105.80/28172.16.105.81 to 172.16.105.94172.16.105.9514
23172.16.105.96/28172.16.105.97 to 172.16.105.110172.16.105.11114
24172.16.105.112/28172.16.105.113 to 172.16.105.126172.16.105.12714
25172.16.105.128/28172.16.105.129 to 172.16.105.142172.16.105.14314
26172.16.105.144/28172.16.105.145 to 172.16.105.158172.16.105.15914
27172.16.105.160/28172.16.105.161 to 172.16.105.174172.16.105.17514
28172.16.105.176/28172.16.105.177 to 172.16.105.190172.16.105.19114
29172.16.105.192/28172.16.105.193 to 172.16.105.206172.16.105.20714
30172.16.105.208/28172.16.105.209 to 172.16.105.222172.16.105.22314
31172.16.105.224/28172.16.105.225 to 172.16.105.238172.16.105.23914
32172.16.105.240/28172.16.105.241 to 172.16.105.254172.16.105.25514
33172.16.106.0/28172.16.106.1 to 172.16.106.14172.16.106.1514
34172.16.106.16/28172.16.106.17 to 172.16.106.30172.16.106.3114
35172.16.106.32/28172.16.106.33 to 172.16.106.46172.16.106.4714
36172.16.106.48/28172.16.106.49 to 172.16.106.62172.16.106.6314
37172.16.106.64/28172.16.106.65 to 172.16.106.78172.16.106.7914
38172.16.106.80/28172.16.106.81 to 172.16.106.94172.16.106.9514
39172.16.106.96/28172.16.106.97 to 172.16.106.110172.16.106.11114
40172.16.106.112/28172.16.106.113 to 172.16.106.126172.16.106.12714
41172.16.106.128/28172.16.106.129 to 172.16.106.142172.16.106.14314
42172.16.106.144/28172.16.106.145 to 172.16.106.158172.16.106.15914
43172.16.106.160/28172.16.106.161 to 172.16.106.174172.16.106.17514
44172.16.106.176/28172.16.106.177 to 172.16.106.190172.16.106.19114
45172.16.106.192/28172.16.106.193 to 172.16.106.206172.16.106.20714
46172.16.106.208/28172.16.106.209 to 172.16.106.222172.16.106.22314
47172.16.106.224/28172.16.106.225 to 172.16.106.238172.16.106.23914
48172.16.106.240/28172.16.106.241 to 172.16.106.254172.16.106.25514
49172.16.107.0/28172.16.107.1 to 172.16.107.14172.16.107.1514
50172.16.107.16/28172.16.107.17 to 172.16.107.30172.16.107.3114
51172.16.107.32/28172.16.107.33 to 172.16.107.46172.16.107.4714
52172.16.107.48/28172.16.107.49 to 172.16.107.62172.16.107.6314
53172.16.107.64/28172.16.107.65 to 172.16.107.78172.16.107.7914
54172.16.107.80/28172.16.107.81 to 172.16.107.94172.16.107.9514
55172.16.107.96/28172.16.107.97 to 172.16.107.110172.16.107.11114
56172.16.107.112/28172.16.107.113 to 172.16.107.126172.16.107.12714
57172.16.107.128/28172.16.107.129 to 172.16.107.142172.16.107.14314
58172.16.107.144/28172.16.107.145 to 172.16.107.158172.16.107.15914
59172.16.107.160/28172.16.107.161 to 172.16.107.174172.16.107.17514
60172.16.107.176/28172.16.107.177 to 172.16.107.190172.16.107.19114
61172.16.107.192/28172.16.107.193 to 172.16.107.206172.16.107.20714
62172.16.107.208/28172.16.107.209 to 172.16.107.222172.16.107.22314
63172.16.107.224/28172.16.107.225 to 172.16.107.238172.16.107.23914
64172.16.107.240/28172.16.107.241 to 172.16.107.254172.16.107.25514
65172.16.108.0/28172.16.108.1 to 172.16.108.14172.16.108.1514
66172.16.108.16/28172.16.108.17 to 172.16.108.30172.16.108.3114
67172.16.108.32/28172.16.108.33 to 172.16.108.46172.16.108.4714
68172.16.108.48/28172.16.108.49 to 172.16.108.62172.16.108.6314
69172.16.108.64/28172.16.108.65 to 172.16.108.78172.16.108.7914
70172.16.108.80/28172.16.108.81 to 172.16.108.94172.16.108.9514
71172.16.108.96/28172.16.108.97 to 172.16.108.110172.16.108.11114
72172.16.108.112/28172.16.108.113 to 172.16.108.126172.16.108.12714
73172.16.108.128/28172.16.108.129 to 172.16.108.142172.16.108.14314
74172.16.108.144/28172.16.108.145 to 172.16.108.158172.16.108.15914
75172.16.108.160/28172.16.108.161 to 172.16.108.174172.16.108.17514
76172.16.108.176/28172.16.108.177 to 172.16.108.190172.16.108.19114
77172.16.108.192/28172.16.108.193 to 172.16.108.206172.16.108.20714
78172.16.108.208/28172.16.108.209 to 172.16.108.222172.16.108.22314
79172.16.108.224/28172.16.108.225 to 172.16.108.238172.16.108.23914
80172.16.108.240/28172.16.108.241 to 172.16.108.254172.16.108.25514
81172.16.109.0/28172.16.109.1 to 172.16.109.14172.16.109.1514
82172.16.109.16/28172.16.109.17 to 172.16.109.30172.16.109.3114
83172.16.109.32/28172.16.109.33 to 172.16.109.46172.16.109.4714
84172.16.109.48/28172.16.109.49 to 172.16.109.62172.16.109.6314
85172.16.109.64/28172.16.109.65 to 172.16.109.78172.16.109.7914
86172.16.109.80/28172.16.109.81 to 172.16.109.94172.16.109.9514
87172.16.109.96/28172.16.109.97 to 172.16.109.110172.16.109.11114
88172.16.109.112/28172.16.109.113 to 172.16.109.126172.16.109.12714
89172.16.109.128/28172.16.109.129 to 172.16.109.142172.16.109.14314
90172.16.109.144/28172.16.109.145 to 172.16.109.158172.16.109.15914
91172.16.109.160/28172.16.109.161 to 172.16.109.174172.16.109.17514
92172.16.109.176/28172.16.109.177 to 172.16.109.190172.16.109.19114
93172.16.109.192/28172.16.109.193 to 172.16.109.206172.16.109.20714
94172.16.109.208/28172.16.109.209 to 172.16.109.222172.16.109.22314
95172.16.109.224/28172.16.109.225 to 172.16.109.238172.16.109.23914
96172.16.109.240/28172.16.109.241 to 172.16.109.254172.16.109.25514
97172.16.110.0/28172.16.110.1 to 172.16.110.14172.16.110.1514
98172.16.110.16/28172.16.110.17 to 172.16.110.30172.16.110.3114
99172.16.110.32/28172.16.110.33 to 172.16.110.46172.16.110.4714
100172.16.110.48/28172.16.110.49 to 172.16.110.62172.16.110.6314
101172.16.110.64/28172.16.110.65 to 172.16.110.78172.16.110.7914
102172.16.110.80/28172.16.110.81 to 172.16.110.94172.16.110.9514
103172.16.110.96/28172.16.110.97 to 172.16.110.110172.16.110.11114
104172.16.110.112/28172.16.110.113 to 172.16.110.126172.16.110.12714
105172.16.110.128/28172.16.110.129 to 172.16.110.142172.16.110.14314
106172.16.110.144/28172.16.110.145 to 172.16.110.158172.16.110.15914
107172.16.110.160/28172.16.110.161 to 172.16.110.174172.16.110.17514
108172.16.110.176/28172.16.110.177 to 172.16.110.190172.16.110.19114
109172.16.110.192/28172.16.110.193 to 172.16.110.206172.16.110.20714
110172.16.110.208/28172.16.110.209 to 172.16.110.222172.16.110.22314
111172.16.110.224/28172.16.110.225 to 172.16.110.238172.16.110.23914
112172.16.110.240/28172.16.110.241 to 172.16.110.254172.16.110.25514
113172.16.111.0/28172.16.111.1 to 172.16.111.14172.16.111.1514
114172.16.111.16/28172.16.111.17 to 172.16.111.30172.16.111.3114
115172.16.111.32/28172.16.111.33 to 172.16.111.46172.16.111.4714
116172.16.111.48/28172.16.111.49 to 172.16.111.62172.16.111.6314
117172.16.111.64/28172.16.111.65 to 172.16.111.78172.16.111.7914
118172.16.111.80/28172.16.111.81 to 172.16.111.94172.16.111.9514
119172.16.111.96/28172.16.111.97 to 172.16.111.110172.16.111.11114
120172.16.111.112/28172.16.111.113 to 172.16.111.126172.16.111.12714
121172.16.111.128/28172.16.111.129 to 172.16.111.142172.16.111.14314
122172.16.111.144/28172.16.111.145 to 172.16.111.158172.16.111.15914
123172.16.111.160/28172.16.111.161 to 172.16.111.174172.16.111.17514
124172.16.111.176/28172.16.111.177 to 172.16.111.190172.16.111.19114
125172.16.111.192/28172.16.111.193 to 172.16.111.206172.16.111.20714
126172.16.111.208/28172.16.111.209 to 172.16.111.222172.16.111.22314
127172.16.111.224/28172.16.111.225 to 172.16.111.238172.16.111.23914
128172.16.111.240/28172.16.111.241 to 172.16.111.254172.16.111.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses